1. 11 Sep, 2018 2 commits
  2. 16 Aug, 2018 1 commit
    • intrigeri's avatar
      Don't fail the build if the APT lists don't include any package whose name matches ^geoclue. · 5f1cd1b9
      intrigeri authored
      The build of my first tentative 3.9~rc1 ISO failed with:
      
       E: Unable to locate package ^geoclue*
       E: Couldn't find any package by glob '^geoclue*'
       E: Couldn't find any package by regex '^geoclue*'
       E: config/chroot_local-hooks/98-remove_unwanted_packages failed (exit non-zero). You should check for errors.
      
      That's because the partial, tagged APT snapshot used to build this ISO don't
      include any package whose name matches ^geoclue. So let's only attempt to remove
      such packages if at least one of them is installed.
      5f1cd1b9
  3. 25 Mar, 2018 1 commit
  4. 16 Mar, 2018 1 commit
    • intrigeri's avatar
      Fix build failure by breaking cyclic dependency (refs: #14595) · 3ba1893b
      intrigeri authored
      This reverts commit e0b24a21
      and ensures we remove python3-setuptools later on.
      
      Otherwise there's a cyclic dependency situation: to install tailslib in
      config/chroot_local-hooks/00-install-tailslib we need to install
      python3-setuptools, which triggers the APT hook for ASP, which depends on
      tailslib to be available already.
      3ba1893b
  5. 19 Feb, 2018 1 commit
  6. 06 Jan, 2018 1 commit
  7. 04 Jan, 2018 1 commit
  8. 09 Oct, 2017 1 commit
  9. 26 Jun, 2017 1 commit
    • intrigeri's avatar
      De-install tcpd (refs: #12309). · 8388878f
      intrigeri authored
      For some reason it's pulled in the SquashFS since I re-enabled the
      debian-security sources. I think that's caused by alternative dependencies (pkgA
      | pkgB) being resolved somewhat randomly by APT, and "randomly" depends on the
      list of available packages, which is impacted by this branch, so let's
      not bother and just de-install it.
      8388878f
  10. 08 Mar, 2017 3 commits
    • intrigeri's avatar
      617151fc
    • intrigeri's avatar
      0c55ab30
    • intrigeri's avatar
      Don't try to remove non-existing packages. · f198fabe
      intrigeri authored
      This especially matters when building using tagged APT snapshots.
      I've just seen a 3.0~beta2 build fail with:
      
        Package 'linux-headers-686-pae' is not installed, so not removed
        Package 'linux-headers-amd64' is not installed, so not removed
        Package 'linux-headers-generic' is not installed, so not removed
        Package 'linux-headers' is not installed, so not removed
        E: Unable to locate package ^linux-source-*
        E: Couldn't find any package by glob '^linux-source-*'
        E: Couldn't find any package by regex '^linux-source-*'
        E: Unable to locate package dpatch
        E: Unable to locate package gcc-4.8
        E: Couldn't find any package by glob 'gcc-4.8'
        E: Couldn't find any package by regex 'gcc-4.8'
        E: Unable to locate package gcc-4.9
        E: Couldn't find any package by glob 'gcc-4.9'
        E: Couldn't find any package by regex 'gcc-4.9'
        E: Unable to locate package gcc-5
        E: Unable to locate package gcc-5-base
        E: Unable to locate package libgl1-mesa-dev
      f198fabe
  11. 04 Jan, 2017 1 commit
  12. 28 Dec, 2016 1 commit
  13. 15 Nov, 2016 1 commit
  14. 26 Aug, 2016 1 commit
  15. 24 Aug, 2016 5 commits
  16. 09 Jun, 2016 1 commit
  17. 08 Jun, 2016 1 commit
  18. 14 May, 2016 2 commits
  19. 30 Mar, 2016 1 commit
  20. 20 Feb, 2016 1 commit
  21. 11 Feb, 2016 1 commit
  22. 17 Jan, 2016 1 commit
  23. 03 Jan, 2016 1 commit
  24. 22 Nov, 2015 1 commit
  25. 11 Jul, 2015 1 commit
  26. 14 Mar, 2015 2 commits
  27. 07 Mar, 2015 1 commit
  28. 15 Feb, 2015 1 commit
  29. 01 Jan, 2015 1 commit
  30. 17 Nov, 2014 2 commits